> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/transfer-requests



## OpenAPI

````yaml /api-reference/platform.openapi.json post /realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/transfer-requests
openapi: 3.0.3
info:
  title: Platform
  version: 1.0.0
  description: >-
    Portão 3 platform API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=56 copied:manual=6 unknown=66.
servers:
  - url: https://api.platform.v2.portao3.com.br/
    description: production
  - url: https://api.platform.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Wallets
  - name: Cards
  - name: PIX
  - name: PIX Keys (DICT)
  - name: Boleto
  - name: Transfers
  - name: Batch Payments
  - name: Scheduled Payments
  - name: Transactions & Statements
  - name: Invoices
  - name: Contracts & Deals
  - name: Billing
  - name: Notifications
  - name: Files
  - name: Users
  - name: Approval Requests
  - name: Vehicles
paths:
  /realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/transfer-requests:
    post:
      tags:
        - Wallets
      summary: >-
        /realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/transfer-requests
      operationId: >-
        postRealmsByRealmIdOrganizationsByOrganizationIdWalletsByWalletIdTransferRequests
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: walletId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                originAccountId:
                  type: string
                  minLength: 1
                originWalletId:
                  type: string
                  minLength: 1
                sourceCategory:
                  type: string
                  enum:
                    - FLEX_NATIONAL
                    - FLEX_INTERNATIONAL
                    - FOOD
                    - GAS
                    - MOBILITY
                    - TOLL
                    - FLEX_NATIONAL_WITHOUT_WITHDRAWALS
                    - ADS
                    - SAAS
                    - HOTEL
                    - AIRLINES
                    - TRAVEL
                destinationCategory:
                  type: string
                  enum:
                    - FLEX_NATIONAL
                    - FLEX_INTERNATIONAL
                    - FOOD
                    - GAS
                    - MOBILITY
                    - TOLL
                    - FLEX_NATIONAL_WITHOUT_WITHDRAWALS
                    - ADS
                    - SAAS
                    - HOTEL
                    - AIRLINES
                    - TRAVEL
                amount:
                  type: integer
                  minimum: 1
                  maximum: 9007199254740991
                description:
                  type: string
              required:
                - originAccountId
                - originWalletId
                - sourceCategory
                - destinationCategory
                - amount
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  realmId:
                    type: string
                  organizationId:
                    type: string
                  accountId:
                    type: string
                  walletId:
                    type: string
                  originAccountId:
                    type: string
                  originWalletId:
                    type: string
                  sourceCategory:
                    type: string
                    enum:
                      - FLEX_NATIONAL
                      - FLEX_INTERNATIONAL
                      - FOOD
                      - GAS
                      - MOBILITY
                      - TOLL
                      - FLEX_NATIONAL_WITHOUT_WITHDRAWALS
                      - ADS
                      - SAAS
                      - HOTEL
                      - AIRLINES
                      - TRAVEL
                  destinationCategory:
                    type: string
                    enum:
                      - FLEX_NATIONAL
                      - FLEX_INTERNATIONAL
                      - FOOD
                      - GAS
                      - MOBILITY
                      - TOLL
                      - FLEX_NATIONAL_WITHOUT_WITHDRAWALS
                      - ADS
                      - SAAS
                      - HOTEL
                      - AIRLINES
                      - TRAVEL
                  amount:
                    type: number
                  description:
                    type: string
                  requester:
                    type: object
                    properties:
                      id:
                        type: string
                      email:
                        type: string
                    required:
                      - id
                      - email
                  status:
                    type: string
                    enum:
                      - PENDING_APPROVAL
                      - REQUESTED
                      - CONFIRMED
                      - DENIED
                      - CANCELLED
                      - EXPIRED
                      - FAILED
                      - ERROR
                  decision:
                    type: object
                    properties:
                      result:
                        type: string
                        enum:
                          - ALLOW
                          - BLOCK
                          - REQUIRE_APPROVAL
                      approvalRequestId:
                        type: string
                      evaluationId:
                        type: string
                      policyId:
                        type: string
                      ruleId:
                        type: string
                    required:
                      - result
                  expiresAt:
                    type: string
                  confirmedAt:
                    type: string
                  deniedAt:
                    type: string
                  cancelledAt:
                    type: string
                  failureReason:
                    type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - id
                  - realmId
                  - organizationId
                  - accountId
                  - walletId
                  - originAccountId
                  - originWalletId
                  - sourceCategory
                  - destinationCategory
                  - amount
                  - requester
                  - status
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````